List Calls
curl --request GET \
--url https://app.adsera.in/api/pub/wa/call/list \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>'import requests
url = "https://app.adsera.in/api/pub/wa/call/list"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://app.adsera.in/api/pub/wa/call/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.adsera.in/api/pub/wa/call/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-api-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.adsera.in/api/pub/wa/call/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-api-secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.adsera.in/api/pub/wa/call/list")
.header("x-api-key", "<api-key>")
.header("x-api-secret", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.adsera.in/api/pub/wa/call/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["x-api-secret"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"calls": [
{
"id": "<string>",
"callId": "<string>",
"whatsapp": "<string>",
"contact": "919876543210",
"contactId": "<string>",
"direction": "inbound",
"status": "CONNECTING",
"handledBy": "ai",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"durationSeconds": 95,
"summary": "Wants a demo on Friday at 11; asked about pricing for 3 users.",
"recording": "/api/pub/wa/call/6740…/recording",
"transcript": [
{
"who": "caller",
"text": "<string>",
"at": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"perPage": 123,
"total": 123
}
}{
"success": false,
"error": "Contact not found"
}{
"status": 401,
"success": false,
"error": "Unauthorized: Please provide valid API credentials."
}{
"success": false,
"error": "Contact not found"
}{
"success": false,
"error": "Contact not found"
}Call
List Calls
WhatsApp calls, newest first: all of them, or one contact’s. Each has who answered (AI or team), how long it lasted and the AI summary.
GET
/
api
/
pub
/
wa
/
call
/
list
List Calls
curl --request GET \
--url https://app.adsera.in/api/pub/wa/call/list \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>'import requests
url = "https://app.adsera.in/api/pub/wa/call/list"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://app.adsera.in/api/pub/wa/call/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.adsera.in/api/pub/wa/call/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-api-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.adsera.in/api/pub/wa/call/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-api-secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.adsera.in/api/pub/wa/call/list")
.header("x-api-key", "<api-key>")
.header("x-api-secret", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.adsera.in/api/pub/wa/call/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["x-api-secret"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"calls": [
{
"id": "<string>",
"callId": "<string>",
"whatsapp": "<string>",
"contact": "919876543210",
"contactId": "<string>",
"direction": "inbound",
"status": "CONNECTING",
"handledBy": "ai",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"durationSeconds": 95,
"summary": "Wants a demo on Friday at 11; asked about pricing for 3 users.",
"recording": "/api/pub/wa/call/6740…/recording",
"transcript": [
{
"who": "caller",
"text": "<string>",
"at": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"perPage": 123,
"total": 123
}
}{
"success": false,
"error": "Contact not found"
}{
"status": 401,
"success": false,
"error": "Unauthorized: Please provide valid API credentials."
}{
"success": false,
"error": "Contact not found"
}{
"success": false,
"error": "Contact not found"
}Authorizations
Query Parameters
Was this page helpful?